> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create AML check



## OpenAPI

````yaml /openapi/aml.yaml post /aml/checks/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: AML Checks
    description: Anti-money laundering check endpoints.
  - name: AML Monitorings
    description: Anti-money laundering monitoring endpoints.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /aml/checks/:
    post:
      tags:
        - AML Checks
      summary: Create AML check
      operationId: amlChecksCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmlCheckRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmlCheck'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    AmlCheckRequest:
      oneOf:
        - $ref: '#/components/schemas/PersonAmlCheckRequest'
        - $ref: '#/components/schemas/CompanyAmlCheckRequest'
      discriminator:
        propertyName: userType
        mapping:
          PERSON:
            $ref: '#/components/schemas/PersonAmlCheckRequest'
          COMPANY:
            $ref: '#/components/schemas/CompanyAmlCheckRequest'
    AmlCheck:
      oneOf:
        - $ref: '#/components/schemas/PersonAmlCheck'
        - $ref: '#/components/schemas/CompanyAmlCheck'
      discriminator:
        propertyName: userType
        mapping:
          PERSON:
            $ref: '#/components/schemas/PersonAmlCheck'
          COMPANY:
            $ref: '#/components/schemas/CompanyAmlCheck'
    PersonAmlCheckRequest:
      type: object
      properties:
        clientId:
          type: string
          minLength: 1
          description: A unique string identifying a client on your side.
          maxLength: 100
        userType:
          $ref: '#/components/schemas/UserMonitoringTypeEnum'
        input:
          $ref: '#/components/schemas/PersonAmlCheckInputRequest'
        filter:
          $ref: '#/components/schemas/PersonAmlCheckFilterRequest'
      required:
        - clientId
        - filter
        - input
        - userType
    CompanyAmlCheckRequest:
      type: object
      properties:
        clientId:
          type: string
          minLength: 1
          description: A unique string identifying a client on your side.
          maxLength: 100
        userType:
          $ref: '#/components/schemas/UserMonitoringTypeEnum'
        input:
          $ref: '#/components/schemas/CompanyAmlCheckInputRequest'
        filter:
          $ref: '#/components/schemas/CompanyAmlCheckFilterRequest'
      required:
        - clientId
        - filter
        - input
        - userType
    PersonAmlCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        clientId:
          type: string
          description: A unique string identifying a client on your side.
          maxLength: 100
        checkedAt:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created:
          type: string
          format: date-time
          readOnly: true
        userType:
          $ref: '#/components/schemas/UserMonitoringTypeEnum'
        input:
          $ref: '#/components/schemas/PersonAmlCheckInput'
        filter:
          $ref: '#/components/schemas/PersonAmlCheckFilter'
        amlCheck:
          type: array
          items:
            $ref: '#/components/schemas/IndividualSearchResult'
          readOnly: true
          nullable: true
          description: AML database search result.
        adverseMedia:
          type: array
          items:
            $ref: '#/components/schemas/AdverseMediaSearchResult'
          readOnly: true
          nullable: true
          description: Adverse media database search result.
        overallStatus:
          allOf:
            - $ref: '#/components/schemas/AmlCheckStatusEnum'
          readOnly: true
        monitoring:
          allOf:
            - $ref: '#/components/schemas/AmlCheckMonitoring'
          readOnly: true
          nullable: true
      required:
        - adverseMedia
        - amlCheck
        - checkedAt
        - clientId
        - created
        - filter
        - id
        - input
        - monitoring
        - overallStatus
        - userType
    CompanyAmlCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        clientId:
          type: string
          description: A unique string identifying a client on your side.
          maxLength: 100
        checkedAt:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created:
          type: string
          format: date-time
          readOnly: true
        userType:
          $ref: '#/components/schemas/UserMonitoringTypeEnum'
        input:
          $ref: '#/components/schemas/CompanyAmlCheckInput'
        filter:
          $ref: '#/components/schemas/CompanyAmlCheckFilter'
        amlCheck:
          type: array
          items:
            $ref: '#/components/schemas/BusinessSearchResult'
          readOnly: true
          nullable: true
          description: AML database search result.
        adverseMedia:
          type: array
          items:
            $ref: '#/components/schemas/AdverseMediaSearchResult'
          readOnly: true
          nullable: true
          description: Adverse media database search result.
        overallStatus:
          allOf:
            - $ref: '#/components/schemas/AmlCheckStatusEnum'
          readOnly: true
        monitoring:
          allOf:
            - $ref: '#/components/schemas/AmlCheckMonitoring'
          readOnly: true
          nullable: true
      required:
        - adverseMedia
        - amlCheck
        - checkedAt
        - clientId
        - created
        - filter
        - id
        - input
        - monitoring
        - overallStatus
        - userType
    UserMonitoringTypeEnum:
      enum:
        - COMPANY
        - PERSON
      type: string
    PersonAmlCheckInputRequest:
      type: object
      properties:
        fullName:
          type: string
          minLength: 1
          maxLength: 100
        nationality:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          nullable: true
        dateOfBirth:
          type: string
          format: date
          nullable: true
        sex:
          allOf:
            - $ref: '#/components/schemas/MainSexEnum'
          nullable: true
      required:
        - fullName
    PersonAmlCheckFilterRequest:
      type: object
      properties:
        threshold:
          type: integer
          maximum: 100
          minimum: 75
          nullable: true
          default: 85
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/PersonAmlCheckFilterDatasetsEnum'
          nullable: true
          description: Required when checking `AML_CHECK` service.
        sanctionBodies:
          type: array
          items:
            type: integer
            maximum: 80
            minimum: 1
          nullable: true
          description: >-
            When searching `SAN` dataset, specify the values of sanctioning
            bodies that should be included when screening `SAN` dataset. The
            full list of supported sanction bodies and their values are provided
            by the API info endpoint. If none sanction bodies are provided the
            system will search sanctions issued by any sanctioning body.
        dateOfBirthMatching:
          allOf:
            - $ref: '#/components/schemas/DateOfBirthMatchingEnum'
          nullable: true
          default: EXACT
        pepTiers:
          type: array
          items:
            $ref: '#/components/schemas/PepTierEnum'
          nullable: true
    CompanyAmlCheckInputRequest:
      type: object
      properties:
        companyName:
          type: string
          minLength: 1
          maxLength: 100
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          nullable: true
      required:
        - companyName
    CompanyAmlCheckFilterRequest:
      type: object
      properties:
        threshold:
          type: integer
          maximum: 100
          minimum: 75
          nullable: true
          default: 85
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/CompanyAmlCheckFilterDatasetsEnum'
          nullable: true
          description: Required when checking `AML_CHECK` service.
        sanctionBodies:
          type: array
          items:
            type: integer
            maximum: 80
            minimum: 1
          nullable: true
          description: >-
            When searching `SAN` dataset, specify the values of sanctioning
            bodies that should be included when screening `SAN` dataset. The
            full list of supported sanction bodies and their values are provided
            by the API info endpoint. If none sanction bodies are provided the
            system will search sanctions issued by any sanctioning body.
    PersonAmlCheckInput:
      type: object
      properties:
        fullName:
          type: string
          maxLength: 100
        nationality:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          nullable: true
        dateOfBirth:
          type: string
          format: date
          nullable: true
        sex:
          allOf:
            - $ref: '#/components/schemas/MainSexEnum'
          nullable: true
      required:
        - fullName
    PersonAmlCheckFilter:
      type: object
      properties:
        threshold:
          type: integer
          maximum: 100
          minimum: 75
          nullable: true
          default: 85
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/PersonAmlCheckFilterDatasetsEnum'
          nullable: true
          description: Required when checking `AML_CHECK` service.
        sanctionBodies:
          type: array
          items:
            type: integer
            maximum: 80
            minimum: 1
          nullable: true
          description: >-
            When searching `SAN` dataset, specify the values of sanctioning
            bodies that should be included when screening `SAN` dataset. The
            full list of supported sanction bodies and their values are provided
            by the API info endpoint. If none sanction bodies are provided the
            system will search sanctions issued by any sanctioning body.
        dateOfBirthMatching:
          allOf:
            - $ref: '#/components/schemas/DateOfBirthMatchingEnum'
          nullable: true
          default: EXACT
        pepTiers:
          type: array
          items:
            $ref: '#/components/schemas/PepTierEnum'
          nullable: true
    IndividualSearchResult:
      type: object
      properties:
        version:
          type: integer
          description: >-
            The version number can be used by clients to detect when a profile
            has changed.
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the Individual.
        score:
          type: integer
          description: The match score of the profile.
        match:
          type: string
          description: The name of the profile that has been matched in the search.
        name:
          type: string
          description: The primary name of the profile.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/SearchAddress'
          description: The list of profile addresses and nationalities.
        nationalities:
          type: array
          items:
            $ref: '#/components/schemas/CountryEnum'
          description: List of the individual's nationalities.
        datesOfBirth:
          type: array
          items:
            type: string
            description: Date in either YYYY-MM-DD or YYYY-MM or YYYY ISO format.
        gender:
          allOf:
            - $ref: '#/components/schemas/MainSexEnum'
          description: Gender (for individuals), if known.
        profileImage:
          type: string
          description: The primary profile image.
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/IndividualDatasetEnum'
          description: |
            The profile datasets
             * PEP_CURRENT - Only current PEPs
             * PEP_FORMER - Only former PEPs
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * DD - Disqualified Director
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * GRI - Gambling Risk Intelligence.
        currentSanBodyIds:
          type: array
          items:
            type: integer
          description: >-
            The list of IDs of all sanctioning bodies, that are currently
            sanctioning the given profile. The full list of supported sanction
            bodies and their IDs is provided by /dictionaries/sanction-bodies
            endpoint.
        formerSanBodyIds:
          type: array
          items:
            type: integer
          description: >-
            The list of IDs of all sanctioning bodies, that were sanctioning the
            given profile in the past, but do not currently sanction them. The
            full list of supported sanction bodies and their IDs is provided by
            /dictionaries/sanction-bodies endpoint.
        pepTier:
          allOf:
            - $ref: '#/components/schemas/PepTierEnum'
          description: >-
            Defines the PEP tier of the individual. Where PEP Tier 1 indicates
            senior roles, PEP Tier 2 - middle-ranking, and PEP Tier 3 - junior
            officials.
      required:
        - addresses
        - currentSanBodyIds
        - datasets
        - datesOfBirth
        - formerSanBodyIds
        - match
        - name
        - nationalities
        - resourceId
        - score
    AdverseMediaSearchResult:
      type: object
      properties:
        title:
          type: string
          nullable: true
        url:
          type: string
          format: uri
        text:
          type: string
          nullable: true
        score:
          type: integer
          nullable: true
        type:
          allOf:
            - $ref: '#/components/schemas/AmlArticleTypeEnum'
          nullable: true
        publishDate:
          type: string
          format: date
          nullable: true
      required:
        - publishDate
        - score
        - text
        - title
        - type
        - url
    AmlCheckStatusEnum:
      enum:
        - NOT_CHECKED
        - NO_FLAGS
        - FALSE_POSITIVE
        - TRUE_POSITIVE
        - FLAGS_FOUND
      type: string
    AmlCheckMonitoring:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          $ref: '#/components/schemas/MonitoringStatusEnum'
        isSubscribed:
          type: boolean
        expiration:
          type: string
          format: date-time
        tags:
          type: array
          items:
            type: string
            maxLength: 32
            pattern: ^[^,]+$
          default: []
          description: >-
            List of case-sensitive strings. Each tag can not be longer than 32
            characters.
          maxItems: 5
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - created
        - id
    CompanyAmlCheckInput:
      type: object
      properties:
        companyName:
          type: string
          maxLength: 100
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          nullable: true
      required:
        - companyName
    CompanyAmlCheckFilter:
      type: object
      properties:
        threshold:
          type: integer
          maximum: 100
          minimum: 75
          nullable: true
          default: 85
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/CompanyAmlCheckFilterDatasetsEnum'
          nullable: true
          description: Required when checking `AML_CHECK` service.
        sanctionBodies:
          type: array
          items:
            type: integer
            maximum: 80
            minimum: 1
          nullable: true
          description: >-
            When searching `SAN` dataset, specify the values of sanctioning
            bodies that should be included when screening `SAN` dataset. The
            full list of supported sanction bodies and their values are provided
            by the API info endpoint. If none sanction bodies are provided the
            system will search sanctions issued by any sanctioning body.
    BusinessSearchResult:
      type: object
      properties:
        version:
          type: integer
          description: >-
            The version number can be used by clients to detect when a profile
            has been changed by our research team.
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the business.
        score:
          type: integer
          description: The match score of the profile.
        match:
          type: string
          description: The name of the profile that has been matched in the search.
        name:
          type: string
          description: The primary name of the profile.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/SearchAddress'
          description: The list of profile addresses.
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/BusinessSearchDatasetEnum'
          description: |
            The profile datasets
             * PEP - (Deprecated - ignore)
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN - (Deprecated - ignore)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * SOE - (Deprecated - ignore)
             * SOE_CURRENT - Only current SOE
             * SOE_FORMER - Only former SOE.
        currentSanBodyIds:
          type: array
          items:
            type: integer
          description: >-
            The list of IDs of all sanctioning bodies, that are currently
            sanctioning the given profile. The full list of supported sanction
            bodies and their IDs is provided by /dictionaries/sanction-bodies
            endpoint.
        formerSanBodyIds:
          type: array
          items:
            type: integer
          description: >-
            The list of IDs of all sanctioning bodies, that were sanctioning the
            given profile in the past, but do not currently sanction them. The
            full list of supported sanction bodies and their IDs is provided by
            /dictionaries/sanction-bodies endpoint.
      required:
        - addresses
        - currentSanBodyIds
        - datasets
        - formerSanBodyIds
        - match
        - name
        - resourceId
        - score
    CountryEnum:
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CD
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - KP
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      type: string
    MainSexEnum:
      enum:
        - MALE
        - FEMALE
      type: string
    PersonAmlCheckFilterDatasetsEnum:
      enum:
        - PEP_CURRENT
        - PEP_FORMER
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - DD
        - POI
        - REL
      type: string
    DateOfBirthMatchingEnum:
      enum:
        - EXACT
        - SAME_YEAR
        - WITHIN_ONE_YEAR
        - WITHIN_TWO_YEARS
        - WITHIN_THREE_YEARS
        - WITHIN_FOUR_YEARS
        - WITHIN_FIVE_YEARS
      type: string
    PepTierEnum:
      enum:
        - PEP_TIER_1
        - PEP_TIER_2
        - PEP_TIER_3
      type: string
    CompanyAmlCheckFilterDatasetsEnum:
      enum:
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - POI
        - REL
        - SOE_CURRENT
        - SOE_FORMER
      type: string
    SearchAddress:
      type: object
      properties:
        geography:
          type: string
          description: >-
            An upper-case two-letter ISO-3166-2 code of a country or dependent
            territory of the profile address or profile nationality.
        city:
          type: string
          description: The city name of the profile address.
      required:
        - geography
    IndividualDatasetEnum:
      enum:
        - PEP_CURRENT
        - PEP_FORMER
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - DD
        - POI
        - REL
        - GRI
      type: string
    AmlArticleTypeEnum:
      enum:
        - NEGATIVE
      type: string
    MonitoringStatusEnum:
      enum:
        - ACTIVE
        - STOPPED
        - PENDING
        - ALERT
      type: string
    BusinessSearchDatasetEnum:
      enum:
        - PEP
        - PEP_LINKED
        - SAN
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - POI
        - REL
        - SOE
        - SOE_CURRENT
        - SOE_FORMER
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````